# Deposit

Deposit and create DCA are separate. User must deposit before create DCA.

### Method(Token's Method):

<mark style="color:green;">`Near Call`</mark> `ft_transfer_call`

### **Params**

| Name         | Type      | Description          |
| ------------ | --------- | -------------------- |
| amount       | U128      | Deposit Amount       |
| receiver\_id | AccountId | DCA Contract address |
| msg          | string    | empty                |

### Near Cli

```
near call ftv2.nekotoken.near ft_transfer_call '{"amount":"100000000000000000000000000000","receiver_id":"grid.deltatrade.near","msg":""}' --depositYocto=1 --accountId=zero.testnet
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltatrade.ai/sdk/smartcontract/dca/deposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
